Commit 18b4150d authored by Pierre-Yves David's avatar Pierre-Yves David 🐙
Browse files

readme: clarify the branch policy

--HG--
branch : stable
parent 4c07dfedba32
...@@ -105,9 +105,18 @@ say in $HGSRC:: ...@@ -105,9 +105,18 @@ say in $HGSRC::
$ cd tests $ cd tests
$ python $HGSRC/tests/run-tests.py $ python $HGSRC/tests/run-tests.py
(evolve's stable and default branches correspond to Mercurial's stable Branch policy
and default branches. So to test evolve from default, you need -------------
Mercurial on default.), Older version of Mercurial are supportd on their respective ``mercurial-x.y`` branches.
The evolve test are highly impacted by changes in core. To deal with this, we use named branches.
There are two main branches: "stable" and "default". Tests on these branch are
supposed to pass with the corresponding "default" and "stable" branch from core
Mercurial.
In addition, we have compatibility branches to check tests on older version of
Mercurial. They are the "mercurial-x.y" branches. They are used to apply
expected test change only, no code change should happen there.
Changelog Changelog
========= =========
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment